//조도센서 무드등
//핀 번호 배열 선언
int led[4] = {2, 4, 12, 13}; //LED가 연결된 디지털 핀 번호

void setup() {
  Serial.begin(9600); //조도센서 값 확인을 위한 시리얼 모니터 설정
  //핀 모드 설정
  for(int i=0; i<4; i++){
    pinMode(led[i], OUTPUT); //LED가 연결된 디지털 핀의 핀모드 설정 (OUTPUT)
  }
}

void loop() {
   //주변환경 밝기 값 읽기
   int value = analogRead(A2); //조도센서 값 측정
   Serial.println(value); //조도센서 값 시리얼 모니터에 출력
  
   //밝기에 따른 LED on/off
   if(value < 400){ //조도센서 값이 400보다 작을 경우(어두운 상황)
    for(int i=0; i<4; i++){
      digitalWrite(led[i], HIGH); //반복문을 이용한 4개 LED 켜기
    }
   }
   else{ //조도센서 값이 400 이상인 경우 (밝은 상황)
    for(int i=0; i<4; i++){
      digitalWrite(led[i], LOW); //반복문을 이용한 4개 LED 끄기
    }
   }
}
