//LED 테스트 코드
//핀 번호 배열 선언
int led[4] = {2, 4, 12, 13}; //LED가 연결된 디지털 핀 번호

void setup() {
  Serial.begin(9600); //조도센서 값 확인을 위한 시리얼 모니터 설정
  //핀 모드 설정
  for(int i=0; i<4; i++){
    pinMode(led[i], OUTPUT); //LED가 연결된 디지털 핀의 핀모드 설정 (OUTPUT)
  }
}

void loop() {
  //4개의 LED가 1초동안 켜졌다가 1초동안 꺼진 상태를 반복적으로 유지하는 코드
    for(int i=0; i<4; i++){
      digitalWrite(led[i], HIGH); //반복문을 이용한 4개 LED 켜기
    }
    delay(1000);
    for(int i=0; i<4; i++){
      digitalWrite(led[i], LOW); //반복문을 이용한 4개 LED 끄기
    }
    delay(1000);
}
